# FastAPI Start Project

`fastapi-start-project` es una biblioteca de Python diseñada para agilizar la creación de aplicaciones FastAPI mediante plantillas personalizadas generadas directamente desde la consola. Permite a los desarrolladores configurar proyectos de manera rápida y eficiente, optimizando el flujo de trabajo con estructuras predefinidas y personalizables.

## Características principales

- **Generación rápida de proyectos**: Crea aplicaciones FastAPI con plantillas preconfiguradas en pocos pasos.
- **Personalización flexible**: Adapta las plantillas a tus necesidades específicas desde la interfaz de consola.
- **Ahorro de tiempo**: Automatiza la configuración inicial para que puedas centrarte en el desarrollo.
- **Interfaz amigable**: Comandos intuitivos para usuarios de todos los niveles.

## Instalación

Para instalar `fastapi-start-project`, ejecuta el siguiente comando:

```bash
pip install fastapi-start-project
```

Asegúrate de tener Python 3.8 o superior instalado.

## Uso

1. **Inicializar una nueva aplicación**:
   ```bash
   fastapi-start-app
   ```
   Esto creará un directorio `mi_proyecto` con una estructura de FastAPI preconfigurada.

## Contribuciones

¡Las contribuciones son bienvenidas! Si deseas mejorar `fastapi-start-project`, sigue estos pasos:

1. Clona el repositorio:
   ```bash
   git clone https://github.com/usuario/fastapi-start-app.git
   ```
2. Crea una rama para tus cambios:
   ```bash
   git checkout -b mi-mejora
   ```
3. Envía un pull request con tus cambios.

## Licencia

Este proyecto está licenciado bajo la [Licencia MIT](LICENSE).

## Contacto

Para soporte o sugerencias, crea un issue en el [repositorio de GitHub](https://github.com/usuario/fastapi-start-app/issues) o contáctame en [edierguerra55@gmail.com](mailto:correo@ejemplo.com).
